<?php
 namespace VnChocola\Module\SuperAdmin;
 use TCMS\Module;
 use Route;
 use LayoutData;
 use LayoutMenuItem;
 class SpAdminIndex extends Module {
 protected function initialize() {
 }
 protected function registerRoutes() {
 Route::get('/', 'IndexController')->name('index');
 }
 public function registerComponent() {
 }
 public function boot() {
 LayoutData::addMenuItem('index', route('index'), lang("master.dashboard"), 'primary', function(LayoutMenuItem $menuItem) {
 $menuItem->icon = 'fas fa-tachometer-alt';
 }
);
 }
 public function middleware(string $routeName, $auth) {
 }
 }
